Bug 251920 - When scheduled errata is picked up, its Status is nulled.
When scheduled errata is picked up, its Status is nulled.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Usability (Show other bugs)
500
All Linux
low Severity low
: ---
: ---
Assigned To: Justin Sherrill
Sayli Karmarkar
https://rlx-1-12.rhndev.redhat.com/rh...
: Triaged
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2007-08-13 10:22 EDT by Jan Pazdziora
Modified: 2009-09-10 16:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:21:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the web page when the errata.update for RHSE-2007:0595 was called (226.43 KB, image/png)
2007-08-13 10:22 EDT, Jan Pazdziora
no flags Details
Immediately after rhn_check is run on the client, the pending errata's status is changed to "Picked Up" (183.59 KB, image/png)
2009-08-31 09:01 EDT, John Sefler
no flags Details

  None (edit)
Description Jan Pazdziora 2007-08-13 10:22:45 EDT
Description of problem:

When we schedule errata to be applied to a system, its status is changed from
None to Pending and there is a clock shown to the left of the errata line.
However, when the system picks up the action (by calling errata.update), its
status is cleared (none shown) and the clock disappears as well.

Version-Release number of selected component (if applicable):

RHN Satellite 5.0.0.

How reproducible:

Deterministic.

Steps to Reproduce:
1. Register a system that needs some erratas to be applied (RHEL 5 GA will do
just fine).
2. Go to the Errata -> Software page or just clock that "update now" next to the
Critical Updates Available on the title page of the system.
3. Schedule one or more erratas. Try selecting errata with packages that take
long to download so that you have longer time to observe the problem.
4. Apply and Confirm.
5. Run rhn_check -vv on the system.
6. Keep reloading the ErrataList.do page.

Actual results:

Ad one moment, the Status of the errata is completely cleared (not status is shown).

Expected results:

The status should say something like "Picked up" or "Processing" or "Being
processed".

Additional info:
Comment 1 Jan Pazdziora 2007-08-13 10:22:45 EDT
Created attachment 161174 [details]
Screenshot of the web page when the errata.update for RHSE-2007:0595 was called
Comment 4 Justin Sherrill 2009-03-13 12:08:13 EDT
Having it show "In Progress" after being picked up.


commit	0c465430cb800db6e4d3bc4da415aaa17d559e5a
tree	aed813bf56bd740d095b48ea29628577f7c6b6fd	tree | snapshot
parent	3d71ca543f024c5655e6e1d55558f64806eaeaa2	commit | diff
Comment 5 Justin Sherrill 2009-05-15 19:24:36 EDT

Hey Sayli,

So apparently the string resources defined actions.jsp.inprogress as "Pending" and not "In Progress".  Not sure if this was a change that happened sometime after my original commit or not.  But anyways.  I'll move it back to modified and in the next ISO it should actually show up as "Picked Up" 



e043d83
Comment 6 Sayli Karmarkar 2009-06-02 20:03:54 EDT
Verified.
Comment 7 John Sefler 2009-08-31 09:01:56 EDT
Created attachment 359257 [details]
Immediately after rhn_check is run on the client, the pending errata's status is changed to "Picked Up"
Comment 8 John Sefler 2009-08-31 09:04:14 EDT
Verified on staged (Satellite-5.3.0-RHEL5-re20090724.0) with updates from Aug 20, 2009

As shown in the attachment id=359257, the status of the pending errata immediately changes from "Pending" to "Picked Up" at the instant rhn_check is run on the system.  The status does not go blank anymore.

moving to RELEASE_PENDING
Comment 9 Brandon Perkins 2009-09-10 16:21:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.